Create External Endpoint
Create external endpoint.
Creates an external endpoint. Vendor, name and version cannot be modified post-creation and must be unique. Each external endpoint will proxy its' requests to the configured rootUrl.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/externalEndpoints
COPY
Request Body
ExternalEndpoint
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"version": "1.0.0",
"vendor": "VMware",
"enabled": false,
"rootUrl": "https://externalHost"
}
{
"name": "string",
"id": "urn:vcloud:externalEndpoint:vendor.name:1.0.0",
"version": "1.0.0",
"vendor": "VMware",
"enabled": false,
"description": "string",
"rootUrl": "https://externalHost"
}
Responses
200
OK
Returns
ExternalEndpoint
of type(s)
application/json;version=9.1.0
{
"name": "string",
"id": "urn:vcloud:externalEndpoint:vendor.name:1.0.0",
"version": "1.0.0",
"vendor": "VMware",
"enabled": false,
"description": "string",
"rootUrl": "https://externalHost"
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean","name":"string","rootUrl":"string","vendor":"string","version":"string"}' https://{api_host}/cloudapi/1.0.0/externalEndpoints
Availability
Added in 37.3
External Endpoint Operations
GET
Get External Endpoints
POST
Create External Endpoint
GET
Get External Endpoint
PUT
Update External Endpoint
DELETE
Delete External Endpoint